The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Quarantine Zone

Prev Next

This URL deletes a quarantine zone.

Resource URL

DELETE /domain/<domainId>/quarantineZone

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domainId

Domain id

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

quarantineZoneIdsList

List of quarantine zone ids

Array

Yes

Response Parameters

Following fields are returned if the operation was successful, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domain/0/quarantineZone

Payload

{“quarantineZoneIdsList”: [216]}

Response

{
        "status": 1
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

The following policies cannot be deleted because of dependency

2

500

1001

Following policies cannot be deleted at this domain

3

404

1105

Invalid domain

4

404

1001

Internal error